/* 

	"mb.max" -  a basic vanila max external

	www.olilarkin.co.uk

*/

#include "ext.h"    // Required for all Max external objects

void *mbmax_class;

typedef struct _mbmax 	// Data structure for this object
{
	t_object p_ob;
	void *p_outlet;
} t_mbmax;	

// these are prototypes for the methods that are defined below
void mbmax_float(t_mbmax *x, double v);
void *mbmax_new();

int main(void)
{
	setup((t_messlist **)&mbmax_class, (method)mbmax_new, 0L, (short)sizeof(t_mbmax), 0L, A_NOTHING, 0); 
	
	addfloat((method)mbmax_float);		
	
	return 0;
}

void mbmax_float(t_mbmax *x, double v)
{
	outlet_float(x->p_outlet, v); 
}

void *mbmax_new()		
{
	t_mbmax *x;				
	
	x = (t_mbmax *)newobject(mbmax_class); 
	
	x->p_outlet = floatout(x);	
	
	return(x);					
}
